The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Device

Prev Next

This URL gets all the alert exception details available in the Manager.

Resource URL

GET /domain/<domainId>/device

Request Parameters

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
DeviceResponseList List of edvices in the domain Array

Details of alertExceptionDescriptorList:

Field Name Description Data Type
deviceId Unique device id Number
deviceName Device name String
deviceType Device type can be LOAD_BALANCER / NTBA_APPLIANCE / VIRTUAL_HIP_SENSOR / IPS_SENSOR String
updatingMode Update mode can ONLINE/ OFFLINE/ UNKNOWN String
contactInformation Contact information String
location Device location String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/0/device

Response

{
  "DeviceResponseList": [
    {
      "deviceId": 1010,
      "deviceName": "LB",
      "deviceType": "LOAD_BALANCER",
      "updatingMode": "UNKNOWN"
    },
    {
      "deviceId": 1002,
      "deviceName": "M-2850",
      "deviceType": "IPS_SENSOR",
      "updatingMode": "ONLINE",
      "contactInformation": "",
      "location": ""
    },
    {
      "deviceId": 1001,
      "deviceName": "M-2950",
      "deviceType": "IPS_SENSOR",
      "updatingMode": "ONLINE"
    },
    {
      "deviceId": 1003,
      "deviceName": "M-3050",
      "deviceType": "IPS_SENSOR",
      "updatingMode": "ONLINE"
    },
    {
      "deviceId": 1009,
      "deviceName": "M-8000-P",
      "deviceType": "IPS_SENSOR",
      "updatingMode": "ONLINE"
    },
    {
      "deviceId": 1008,
      "deviceName": "M8000-34",
      "deviceType": "IPS_SENSOR",
      "updatingMode": "ONLINE"
    },
    {
      "deviceId": 1004,
      "deviceName": "NTBA-Regression",
      "deviceType": "NTBA_APPLIANCE",
      "updatingMode": "UNKNOWN"
    }
  ]
} 
 

Error Information

Following error code is returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain